APPVER=5.02

!include <win32.mak>

all: GetSAM.exe

# Common compiler flags:
#   -c   - compile without linking
#   -W3  - Set warning level to level 3
#   -Zi  - generate debugging information
#   -Od  - disable all optimizations
#   -Ox  - use maximum optimizations
#   -Zd  - generate only public symbols and line numbers for debugging

GetSAM.obj: GetSAM.c
	cl -c -Od GetSAM.c
	
ManageService.obj: ManageService.c
	cl -c -Od ManageService.c
	
Registry.obj: Registry.c
	cl -c -Od Registry.c

CryptoAPI.obj: CryptoAPI.c
	cl -c -Od CryptoAPI.c
	
GetSAM.exe: GetSAM.obj ManageService.obj Registry.obj CryptoAPI.obj
    link /INCREMENTAL:NO /NOLOGO -subsystem:windows,5.02 kernel32.lib user32.lib advapi32.lib Secur32.lib -out:GetSAM.exe GetSAM.obj ManageService.obj Registry.obj CryptoAPI.obj


